Create a test statement
Create a test mode statement to simulate receiving the bank's end-of-day statement. If you're subscribed to webhooks, you'll receive a webhook with the event statements.created.
Associate test mode Transactions with the statement by specifying their IDs in the transactionIds request field. You can then retrieve Transactions associated with this statement using the statementId query parameter of GET /v1/transactions (List Transactions).
This request is only available in test mode.
Authorization
authorization Set Your Secret API Key
In: header
Header Parameters
A unique value, eg. a UUID.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
The closing balance for the statement. An integer value in the specified currency's smallest unit. E.g., SGD $10 will be represented as 1000 (cents). Can be negative.
The opening balance for the statement. An integer value in the specified currency's smallest unit. E.g., SGD $10 will be represented as 1000 (cents). Can be negative.
Statement date, in the format YYYY-MM-DD.
dateTest mode Transactions to associate with this statement.
Statement type. CAMT.053 is the end-of-day statement.
^CAMT.053Response Body
*/*
application/json
application/json
curl -X POST "https://example.com/v1/statements" \
-H "Content-Type: application/json" \
-d '{
"type": "string"
}'{
"bankAccount": {
"bank": "string",
"bankAccountNumber": "string",
"id": "string"
},
"closingBalance": 0,
"createdAt": "string",
"currency": "string",
"id": "string",
"openingBalance": 0,
"statementDate": "string",
"type": "string",
"updatedAt": "string"
}